# phpMyAdmin MySQL-Dump
# version 2.2.4
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Generation Time: Mar 23, 2002 at 01:11 AM
# Server version: 3.23.41
# PHP Version: 4.0.6
# Database : `PICker`
# --------------------------------------------------------

#
# Table structure for table `abuse_email`
#

CREATE TABLE abuse_email (
  lg_id int(10) unsigned NOT NULL default '0',
  prelude_id int(10) unsigned NOT NULL default '0',
  datetime datetime NOT NULL default '0000-00-00 00:00:00',
  to_addr varchar(60) NOT NULL default ''
) TYPE=MyISAM COMMENT='Info about sent emails to Abuse Teams';
# --------------------------------------------------------

#
# Table structure for table `last`
#

CREATE TABLE last (
  lg_access date NOT NULL default '0000-00-00',
  prelude_access datetime NOT NULL default '0000-00-00 00:00:00',
  prelude_insert datetime NOT NULL default '0000-00-00 00:00:00'
) TYPE=MyISAM COMMENT='The last time the PICker cache db was accessed';
# --------------------------------------------------------

#
# Table structure for table `lg_cache`
#

CREATE TABLE lg_cache (
  id int(10) unsigned NOT NULL default '0',
  datetime datetime default NULL,
  srcport smallint(5) unsigned NOT NULL default '0',
  destport smallint(5) unsigned NOT NULL default '0',
  KEY datetime (datetime)
) TYPE=MyISAM COMMENT='A single loggrep event belonging to a certain IP';
# --------------------------------------------------------

#
# Table structure for table `lg_ip`
#

CREATE TABLE lg_ip (
  id int(10) unsigned NOT NULL auto_increment,
  ip varchar(15) NOT NULL default '',
  count mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM COMMENT='The list of IP addresses at least once logged by loggrep';
# --------------------------------------------------------

#
# Table structure for table `notes`
#

CREATE TABLE notes (
  lg_id int(10) unsigned NOT NULL default '0',
  prelude_id int(10) unsigned NOT NULL default '0',
  datetime datetime NOT NULL default '0000-00-00 00:00:00',
  note text NOT NULL
) TYPE=MyISAM COMMENT='Notes about an IP address';
# --------------------------------------------------------

#
# Table structure for table `prelude_cache`
#

CREATE TABLE prelude_cache (
  id int(10) unsigned NOT NULL default '0',
  datetime datetime NOT NULL default '0000-00-00 00:00:00',
  destip varchar(15) NOT NULL default '',
  tcpsrc smallint(5) unsigned default NULL,
  tcpdest smallint(5) unsigned default NULL,
  icmptype tinyint(3) unsigned default NULL,
  icmpcode tinyint(3) unsigned default NULL,
  plugin set('HttpMod','ScanDetect','SnortRules','Debug','RpcMod','TelnetMod','ArpSpoof') NOT NULL default '',
  received mediumint(8) unsigned NOT NULL default '0',
  message varchar(255) NOT NULL default '',
  KEY datetime (datetime)
) TYPE=MyISAM COMMENT='A single prelude log entry belonging to a certain IP';
# --------------------------------------------------------

#
# Table structure for table `prelude_ip`
#

CREATE TABLE prelude_ip (
  id int(10) unsigned NOT NULL auto_increment,
  ip varchar(15) NOT NULL default '',
  count mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM COMMENT='The list of IP addresses at least once logged by prelude';

